@use './variable' as *;

.hero {
  padding-bottom: 100px;

  &__container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    // gap: 0 40px;
    position: relative;
  }

  &__content {
    width: 100%;
    max-width: 555px;
  }

  &__heading {
    font-size: $font-size--super-large;
    line-height: calc(70 / 50);
    font-weight: 500;
    margin-bottom: 20px;
    color: $heading-color;
  }

  &__description {
    margin-bottom: 50px;
  }
}

@media screen and (min-width: 1280px) {
  .hero__image {
    position: absolute;
    top: 50%;
    right: 0;
    transform: translate(
      40px,
      -50%
    ); // 2. translateY -50% để cho nó căn giữa theo trục Y
    z-index: -1;
  }
}

@media screen and (max-width: 1023px) {
  .hero__heading {
    font-size: 35px;
  }

  .hero {
    padding-bottom: 50px;
  }
}

@media screen and (max-width: 767px) {
  .hero__container {
    flex-direction: column-reverse;
    gap: 25px 0;
  }

  .hero__description {
    margin-bottom: 25px;
  }
}
